Subject: Re: bug#36180: Problem with non ASCII chars in Libreoffice and zsh on foreign distro

From: Ludovic Courtès <[email-masked]>
Date: Fri, 14 Jun 2019 23:18:53 +0200

Andréas Livet <[email-masked]> skribis:

>> Good catch for Libreoffice, I didn't thought about that since I use
>> to open LO files with Thunar (it raise an other question : how to
>> set GUIX_LOCPATH for applications that I do not from command line,
>> but it's not related to guix).
>>
> I just have to add GUIX_LOCPATH to ~/.xsessionrc and it works for
> LibreOffice AND zsh !!
>
> Don't understand why setting it in ~/.zshrc wasn't enough ??

Ah that’s because it needs to be set in the environment of zsh when you
start it.  Great that you found out!

Thanks,
Ludo’.